ClearOS Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0017821ClearOSapp-base - Base Systempublic2017-11-14 11:162018-02-26 21:22
Assigned Topbaldwin 
PrioritynormalSeverityfeatureReproducibilityhave not tried
PlatformOSOS Version
Product Version7.4.0 
Target Version7.4.0 UpdatesFixed in Version7.4.0 Updates 
Summary0017821: Add memory usage helper
DescriptionIn low-memory environments, most apps in the ClearOS Marketplace can either automatically scale or provide a path to programmatically scale (e.g. limiting the number of startup processes in Squid).

Containers will require a lot more RAM, so new APIs and tools need to be put in place to manage container-based apps.

1) Apps over the memory limit should be marked as "unavailable" in the Marketplace

2) If apps are installed via command line, the app should show a warning message and auto-start should be disabled.

Addendum: we might want to also add compute power detection too. The ClamAV issue described in 0018081 is a good example.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2017-11-14 11:16 pbaldwin New Issue
2017-11-14 12:13 pbaldwin Assigned To => pbaldwin
2017-11-14 12:13 pbaldwin Status new => confirmed
2017-12-05 08:34 pbaldwin Description Updated View Revisions
2018-02-26 21:22 pbaldwin Status confirmed => resolved
2018-02-26 21:22 pbaldwin Fixed in Version => 7.4.0 Updates
2018-02-26 21:22 pbaldwin Resolution open => fixed
2018-02-26 21:22 pbaldwin Status resolved => closed